Subject: Re: PATCH: improve git switch documentation

From: Felipe Contreras <[email-masked]>
Date: Fri, 16 Jul 2021 13:56:16 -0500

Martin wrote:
> On 13/07/2021 18:02, Felipe Contreras wrote:
> > Martin wrote
> >> You and I will make the connection between "something happens to the
> >> branch" and "something happens to the commits".
> >> A lot of people with less experience, who a busy looking through lots of
> >> stuff to solve their problem, they will not make that connection in that
> >> particular moment.
> >> Heck, I've seen highly educated people missing far more obvious things
> >> like that.
> > 
> > Once again I'm not talking about what they could miss, I'm talking about
> > what they are thinking the command will do.
> 
> Well they think it creates a new branch with the given name. And that is 
> *all* they think.

No. You are avoiding the question.

-c creates a new branch. Obviously -C creates a new branch too.

Once again, *why* would they pick -C over -c? What do they think it will
do differently?

> > Yes, and that's stupid. There's plenty of unnecessary warnings.
> 
> Yes and that is why we do not need to add
> "a solarflare may damage your pc while you perform this action"
> (As was previously brought up)

Exactly. Unnecessary warnings are unnecessary.

> > The fact that you have to do it in USA doesn't mean you should.
> 
> Well, yes. But the point is, there are people who miss out for more 
> obvious things.

That's almost meaningless. Like, *some* people have more than five
fingers per hand.

Yes, but how many? 1 in 2? 1 in 100? 1 in a million?

Bothering 99.99% of users with a useless warning just because one (who
is not the sharpest pencil in the box) might make a mistake is just not
wise.

> > Our objective is not to reach everyone.
> > 
> 
> "everyone that uses git" (and wants to be reached)
> 
> And that should be an objective.

Impossible objectives are no possible to achieve. Just like trying to be
liked by everyone. You are just going to waste your time, and fail.

That being said, we don't have to agree. And we don't have to
continuously discuss forever. At some point you need to send a new
version of your patch, and I think that point is long past due.

Cheers.

-- 
Felipe Contreras